optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.MiscSystems.VectorPatternMemory Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.VectorPatternMemory:

## Public Member Functions
| __init__ (self, board=None)
| SetPattern (self, index, vector)
| GetPattern (self, index, count)
| SetPatternSegment (self, index, vector)
| GetPatternSegment (self, int index, int count)
| GetProxyValidity (self)
| SaveVectorMemory (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Public Attributes
| name
| sys_id
| proxy_valid
| vector
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Attributes
| _readonly
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Device Functionality - Vector Pattern Memory
    System ID: 0x26

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | proxy_valid               | 0x00 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.MiscSystems.VectorPatternMemory.__init__ | ( |  | self,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.System.

## Member Function Documentation

## ◆ GetPattern()

optoKummenberg.registers.MiscSystems.VectorPatternMemory.GetPattern | ( |  | self,
|  |  | index,
|  |  | count )

## ◆ GetPatternSegment()

optoKummenberg.registers.MiscSystems.VectorPatternMemory.GetPatternSegment | ( |  | self,
|  | int | index,
|  | int | count )

## ◆ GetProxyValidity()

optoKummenberg.registers.MiscSystems.VectorPatternMemory.GetProxyValidity | ( |  | self | ) |

## ◆ SaveVectorMemory()

optoKummenberg.registers.MiscSystems.VectorPatternMemory.SaveVectorMemory | ( |  | self | ) |

## ◆ SetPattern()

optoKummenberg.registers.MiscSystems.VectorPatternMemory.SetPattern | ( |  | self,
|  |  | index,
|  |  | vector )

## ◆ SetPatternSegment()

optoKummenberg.registers.MiscSystems.VectorPatternMemory.SetPatternSegment | ( |  | self,
|  |  | index,
|  |  | vector )

## Member Data Documentation

## ◆ _readonly

optoKummenberg.registers.MiscSystems.VectorPatternMemory._readonly
| protected

## ◆ name

optoKummenberg.registers.MiscSystems.VectorPatternMemory.name

## ◆ proxy_valid

optoKummenberg.registers.MiscSystems.VectorPatternMemory.proxy_valid

## ◆ sys_id

optoKummenberg.registers.MiscSystems.VectorPatternMemory.sys_id

## ◆ vector

optoKummenberg.registers.MiscSystems.VectorPatternMemory.vector

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py